Subject: Name of temporary files changed

From: Jan Niklas Böhm <[email-masked]>
Date: Fri, 9 Sep 2022 16:42:03 +0200

Hello again,

I came across a minor change in how the temporary files are named.  In 
the current version they are simply the `prefix` with a random number 
appended.  As an example: if `redo target` is called then the temporary 
file will now be `target123456789` (is used to be 
`.redo.target.123456789`).  If the job is cancelled then this starts 
littering the directory visibly.  Furthermore it is also not 
straightforward to ignore in .gitignore.

Could it be changed back to the earlier naming scheme?  It should be 
possible with `os.CreateTemp(dir, TmpPrefix+prefix+".")` in the file 
"tmp.go" since the random pattern to create a unique filename will 
simply be appended to the second argument without a leading dot. 
(`TmpPrefix` then is `.redo` I assume.)

Cheers